# Class CompleteTradeRequest

#### Hierarchy

- unknown
  - CompleteTradeRequest

- Defined in src/protobuf/grpc_pb.d.ts:2578
- Defined in src/protobuf/grpc_pb.d.ts:2590

#####
Index

### Constructors

constructor

### Methods

getTradeId
serializeBinary
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CompleteTradeRequest(): CompleteTradeRequest

- #### Returns CompleteTradeRequest

  Inherited from jspb.Message.constructor

## Methods

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2579

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2582

### setTradeId

- setTradeId(value: string): CompleteTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns CompleteTradeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2580

### toObject

- toObject(includeInstance?: boolean): CompleteTradeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CompleteTradeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2583

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CompleteTradeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CompleteTradeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2586

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CompleteTradeRequest, reader: BinaryReader): CompleteTradeRequest

- #### Parameters

  - ##### message: CompleteTradeRequest

  - ##### reader: BinaryReader

  #### Returns CompleteTradeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2587

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CompleteTradeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CompleteTradeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2585

### `Static` toObject

- toObject(includeInstance: boolean, msg: CompleteTradeRequest): CompleteTradeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CompleteTradeRequest

  #### Returns CompleteTradeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2584

Generated using TypeDoc